<!--*- markdown -*-
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at
  http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License
-->

# NAME

qdstat - A tool to inspect Dispatch router networks

# SYNOPSIS

qdrouterd [*options*]

# DESCRIPTION

*qdstat* shows status information about networks of Dispatch routers.
It can display connections, network nodes and links, and router stats
such as memory use.
# OPTIONS

-h, --help
:   show this help message and exit

--version
:   Print version and exit.

-g, --general
:   Show General Router Stats

-c, --connections
:   Show Connections

-l, --links
:   Show Router Links

-n, --nodes
:   Show Router Nodes

-a, --address
:   Show Router Addresses

-m, --memory
:   Show Broker Memory Stats

## CONNECTION OPTIONS

-b URL, --bus=URL
:   URL of the messaging bus to connect to (default

-r ROUTER-ID, --router=ROUTER-ID
:   Router to be queried

-t SECS, --timeout=SECS
:   Maximum time to wait for connection in seconds (default 5)

--sasl-mechanism=MECH
:   Force SASL mechanism (e.g. EXTERNAL, ANONYMOUS, PLAIN, CRAM-MD5, DIGEST-MD5, GSSAPI).

--ssl-certificate=CERT
:   Client SSL certificate (PEM Format)

--ssl-key=KEY
:   Client SSL private key (PEM Format)



Run `qdstat --help` to see options.

# SEE ALSO

*qdrouterd* (8), *qdmanage* (8), *qdrouterd.conf* (5)

[http://qpid.apache.org/components/dispatch-router](http://qpid.apache.org/components/dispatch-router)
